Announcement

Collapse
No announcement yet.

Arduino Plugin Error = Exception in UDPGetMessage

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Arduino Plugin Error = Exception in UDPGetMessage

    HI,

    Since some time now I get the error message in the log:

    'Arduino Plugin Error = Exception in UDPGetMessage : Operation on non-blocking socket would block'

    Can anyone give me a clue where to look for the solution of this problem. Is it something in the sketch? I am reading the data from a Cozir CO2 sensor and sending that to HS.
    My whole code looks like:

    void setup() {
    HSSetup();
    Serial.begin(9600);
    //Startup Cozir Sensor
    czr.SetOperatingMode(CZR_POLLING);
    czr.SetDigiFilter(64);
    }

    void loop() {
    #if ISIP == 1
    IsUDP();
    #endif
    // wait interval1
    unsigned long currentMillis = millis();
    if (currentMillis - previousMillis >= interval1) {
    previousMillis = currentMillis;
    //read sensor
    cotwo = czr.CO2();
    t = czr.Celsius();
    h = czr.Humidity();

    SendToHS(1, cotwo);
    SendToHS(2, t);
    SendToHS(3, h);
    }

    /*Execute regardless of connection status*/

    if (IsConnected == true) {
    /*Execute ONLY when HomeSeer is connected*/

    }
    }

    About the parameters: t and h are float and cotwo is int.

    thanks in advance!
    Cor

  • #2
    This is a strange one. What version of the plugin are you using?

    Greig.
    Zwave = Z-Stick, 3xHSM100� 7xACT ZDM230, 1xEverspring SM103, 2xACT HomePro ZRP210.
    X10 = CM12U, 2xAM12, 1xAW10, 1 x TM13U, 1xMS13, 2xHR10, 2xSS13
    Other Hardware = ADI Ocelot + secu16, Global Cache GC100, RFXtrx433, 3 x Foscams.
    Plugings = RFXcom, ActiveBackup, Applied Digital Ocelot, BLDeviceMatrix, BLGarbage, BLLAN, Current Cost, Global Cache GC100,HSTouch Android, HSTouch Server, HSTouch Server Unlimited, NetCAM, PowerTrigger, SageWebcamXP, SqueezeBox, X10 CM11A/CM12U.
    Scripts =
    Various

    Comment


    • #3
      I am using Version 1.0.0.115
      Cor

      Comment


      • #4
        Greig,
        Just to inform you, I switched recently to a Raspberry Pi 3. Now I am using mono 4 instead of mono 3. The number of this error messages has drasticly reduced!
        Is there a specific version of mono that can be used best?
        -Cor-

        Comment

        Working...
        X